package b4a.PDFRendererBug;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.PDFRendererBug", "b4a.PDFRendererBug.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.PDFRendererBug", "b4a.PDFRendererBug.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.PDFRendererBug.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        anywheresoftware.b4a.samples.httputils2.httputils2service._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.WebViewWrapper _webview = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;
public b4a.PDFRendererBug.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="WebView.Visible = False";
mostCurrent._webview.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=131077;
 //BA.debugLineNum = 131077;BA.debugLine="WebView.Enabled = False";
mostCurrent._webview.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=131078;
 //BA.debugLineNum = 131078;BA.debugLine="WebView.SendToBack";
mostCurrent._webview.SendToBack();
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_keypress"))
	 {return ((Boolean) Debug.delegate(mostCurrent.activityBA, "activity_keypress", new Object[] {_keycode}));}
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub activity_KeyPress (KeyCode As Int) As Boolean";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="If WebView.Visible Then";
if (mostCurrent._webview.getVisible()) { 
RDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="WebView.Visible = False";
mostCurrent._webview.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="WebView.Enabled = False";
mostCurrent._webview.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="Button1.Visible = True";
mostCurrent._button1.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1048582;
 //BA.debugLineNum = 1048582;BA.debugLine="Button1.Enabled = True";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1048583;
 //BA.debugLineNum = 1048583;BA.debugLine="Button2.Visible = True";
mostCurrent._button2.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1048584;
 //BA.debugLineNum = 1048584;BA.debugLine="Button2.Enabled = True";
mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 };
 };
RDebugUtils.currentLine=1048587;
 //BA.debugLineNum = 1048587;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
RDebugUtils.currentLine=1048588;
 //BA.debugLineNum = 1048588;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "button1_click"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "button1_click", null));}
anywheresoftware.b4a.samples.httputils2.httpjob _job = null;
RDebugUtils.currentLine=720896;
 //BA.debugLineNum = 720896;BA.debugLine="Sub Button1_Click";
RDebugUtils.currentLine=720897;
 //BA.debugLineNum = 720897;BA.debugLine="Dim Job As HttpJob";
_job = new anywheresoftware.b4a.samples.httputils2.httpjob();
RDebugUtils.currentLine=720898;
 //BA.debugLineNum = 720898;BA.debugLine="Job.Initialize(\"Job\",Me)";
_job._initialize(processBA,"Job",main.getObject());
RDebugUtils.currentLine=720899;
 //BA.debugLineNum = 720899;BA.debugLine="Job.Download(\"http://www.liceogiovio.gov.it/sito/";
_job._download("http://www.liceogiovio.gov.it/sito/attachments/article/2938/Comunicazione%20n%20780%20Chiusura%20estiva.pdf");
RDebugUtils.currentLine=720900;
 //BA.debugLineNum = 720900;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "button2_click"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "button2_click", null));}
anywheresoftware.b4a.samples.httputils2.httpjob _job = null;
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub Button2_Click";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Dim Job As HttpJob";
_job = new anywheresoftware.b4a.samples.httputils2.httpjob();
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="Job.Initialize(\"Job\",Me)";
_job._initialize(processBA,"Job",main.getObject());
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="Job.Download(\"http://www.liceogiovio.gov.it/sito/";
_job._download("http://www.liceogiovio.gov.it/sito/attachments/article/2946/integrazione%20calendario%20esami%20settembre%202018.pdf");
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="End Sub";
return "";
}
public static String  _bytestofile(String _dir,String _filename,byte[] _data) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "bytestofile"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "bytestofile", new Object[] {_dir,_filename,_data}));}
anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper _out = null;
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub BytesToFile (Dir As String, FileName As String";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="Dim out As OutputStream = File.OpenOutput(Dir, Fi";
_out = new anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper();
_out = anywheresoftware.b4a.keywords.Common.File.OpenOutput(_dir,_filename,anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="out.WriteBytes(Data, 0, Data.Length)";
_out.WriteBytes(_data,(int) (0),_data.length);
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="out.Flush";
_out.Flush();
RDebugUtils.currentLine=983044;
 //BA.debugLineNum = 983044;BA.debugLine="out.Close";
_out.Close();
RDebugUtils.currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="End Sub";
return "";
}
public static String  _jobdone(anywheresoftware.b4a.samples.httputils2.httpjob _job) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "jobdone"))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "jobdone", new Object[] {_job}));}
de.donmanfred.PDFRendererwrapper _pdfrenderer = null;
int _cont = 0;
anywheresoftware.b4a.objects.collections.List _flist = null;
String _f = "";
String _html = "";
anywheresoftware.b4a.agraham.reflection.Reflection _o = null;
anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper _out = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bt = null;
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub JobDone (Job As HttpJob)";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Log(\"PDF download SUCCESSFUL\")";
anywheresoftware.b4a.keywords.Common.Log("PDF download SUCCESSFUL");
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="Dim pdfrenderer As PDFRenderer";
_pdfrenderer = new de.donmanfred.PDFRendererwrapper();
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="Dim cont As Int";
_cont = 0;
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="BytesToFile(File.DirInternal,\"Current.pdf\",Bit.In";
_bytestofile(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"Current.pdf",anywheresoftware.b4a.keywords.Common.Bit.InputStreamToBytes((java.io.InputStream)(_job._getinputstream().getObject())));
RDebugUtils.currentLine=917509;
 //BA.debugLineNum = 917509;BA.debugLine="pdfrenderer.Initialize(\"\",File.DirInternal,\"Curre";
_pdfrenderer.Initialize(processBA,"",anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"Current.pdf");
RDebugUtils.currentLine=917510;
 //BA.debugLineNum = 917510;BA.debugLine="Dim flist As List = File.ListFiles(File.DirIntern";
_flist = new anywheresoftware.b4a.objects.collections.List();
_flist = anywheresoftware.b4a.keywords.Common.File.ListFiles(anywheresoftware.b4a.keywords.Common.File.getDirInternal());
RDebugUtils.currentLine=917511;
 //BA.debugLineNum = 917511;BA.debugLine="For cont = 0 To flist.Size-1";
{
final int step7 = 1;
final int limit7 = (int) (_flist.getSize()-1);
_cont = (int) (0) ;
for (;_cont <= limit7 ;_cont = _cont + step7 ) {
RDebugUtils.currentLine=917512;
 //BA.debugLineNum = 917512;BA.debugLine="Dim f As String = flist.Get(cont)";
_f = BA.ObjectToString(_flist.Get(_cont));
RDebugUtils.currentLine=917513;
 //BA.debugLineNum = 917513;BA.debugLine="If f.StartsWith(\"PDF_IMG_\") Then";
if (_f.startsWith("PDF_IMG_")) { 
RDebugUtils.currentLine=917514;
 //BA.debugLineNum = 917514;BA.debugLine="File.Delete(File.DirInternal,f)			'Clears all i";
anywheresoftware.b4a.keywords.Common.File.Delete(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),_f);
 };
 }
};
RDebugUtils.currentLine=917517;
 //BA.debugLineNum = 917517;BA.debugLine="Dim html As String = \"<html><head><title>n/a</tit";
_html = "<html><head><title>n/a</title></head><body>";
RDebugUtils.currentLine=917520;
 //BA.debugLineNum = 917520;BA.debugLine="Dim o As Reflector";
_o = new anywheresoftware.b4a.agraham.reflection.Reflection();
RDebugUtils.currentLine=917521;
 //BA.debugLineNum = 917521;BA.debugLine="o.Target = WebView";
_o.Target = (Object)(mostCurrent._webview.getObject());
RDebugUtils.currentLine=917522;
 //BA.debugLineNum = 917522;BA.debugLine="o.RunMethod2(\"clearCache\",\"True\",\"java.lang.boole";
_o.RunMethod2("clearCache","True","java.lang.boolean");
RDebugUtils.currentLine=917524;
 //BA.debugLineNum = 917524;BA.debugLine="For cont = 0 To pdfrenderer.PageCount-1						'Ess";
{
final int step17 = 1;
final int limit17 = (int) (_pdfrenderer.getPageCount()-1);
_cont = (int) (0) ;
for (;_cont <= limit17 ;_cont = _cont + step17 ) {
RDebugUtils.currentLine=917525;
 //BA.debugLineNum = 917525;BA.debugLine="Log(pdfrenderer.PageCount)								'Webview and d";
anywheresoftware.b4a.keywords.Common.Log(BA.NumberToString(_pdfrenderer.getPageCount()));
RDebugUtils.currentLine=917527;
 //BA.debugLineNum = 917527;BA.debugLine="Dim out As OutputStream";
_out = new anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper();
RDebugUtils.currentLine=917529;
 //BA.debugLineNum = 917529;BA.debugLine="out = File.OpenOutput(File.DirInternal,\"PDF_IMG_";
_out = anywheresoftware.b4a.keywords.Common.File.OpenOutput(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"PDF_IMG_"+BA.NumberToString(_cont)+".png",anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917530;
 //BA.debugLineNum = 917530;BA.debugLine="Dim bt As Bitmap";
_bt = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
RDebugUtils.currentLine=917531;
 //BA.debugLineNum = 917531;BA.debugLine="Log(\"cont: \" & cont)";
anywheresoftware.b4a.keywords.Common.Log("cont: "+BA.NumberToString(_cont));
RDebugUtils.currentLine=917533;
 //BA.debugLineNum = 917533;BA.debugLine="Try";
try {RDebugUtils.currentLine=917534;
 //BA.debugLineNum = 917534;BA.debugLine="bt.Initialize3(pdfrenderer.renderPageforPrint(c";
_bt.Initialize3(_pdfrenderer.renderPageforPrint(_cont));
 } 
       catch (Exception e26) {
			processBA.setLastException(e26);RDebugUtils.currentLine=917536;
 //BA.debugLineNum = 917536;BA.debugLine="Log(LastException)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA)));
 };
RDebugUtils.currentLine=917539;
 //BA.debugLineNum = 917539;BA.debugLine="bt.WriteToStream(out,50,\"PNG\")								'and initi";
_bt.WriteToStream((java.io.OutputStream)(_out.getObject()),(int) (50),BA.getEnumFromString(android.graphics.Bitmap.CompressFormat.class,"PNG"));
RDebugUtils.currentLine=917540;
 //BA.debugLineNum = 917540;BA.debugLine="out.Flush";
_out.Flush();
RDebugUtils.currentLine=917541;
 //BA.debugLineNum = 917541;BA.debugLine="out.Close";
_out.Close();
RDebugUtils.currentLine=917542;
 //BA.debugLineNum = 917542;BA.debugLine="html = html & \"<img src='file://\" & File.Combine";
_html = _html+"<img src='file://"+anywheresoftware.b4a.keywords.Common.File.Combine(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"PDF_IMG_"+BA.NumberToString(_cont)+".png")+"' alt='Img"+BA.NumberToString(_cont)+"'> <br>";
 }
};
RDebugUtils.currentLine=917545;
 //BA.debugLineNum = 917545;BA.debugLine="html = html & \"</body></html>\"";
_html = _html+"</body></html>";
RDebugUtils.currentLine=917546;
 //BA.debugLineNum = 917546;BA.debugLine="WebView.LoadHtml(html)";
mostCurrent._webview.LoadHtml(_html);
RDebugUtils.currentLine=917547;
 //BA.debugLineNum = 917547;BA.debugLine="For cont = 0 To 10";
{
final int step35 = 1;
final int limit35 = (int) (10);
_cont = (int) (0) ;
for (;_cont <= limit35 ;_cont = _cont + step35 ) {
RDebugUtils.currentLine=917548;
 //BA.debugLineNum = 917548;BA.debugLine="WebView.Zoom(False) 'Zooms out to show as much o";
mostCurrent._webview.Zoom(anywheresoftware.b4a.keywords.Common.False);
 }
};
RDebugUtils.currentLine=917551;
 //BA.debugLineNum = 917551;BA.debugLine="Button1.Visible = False";
mostCurrent._button1.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917552;
 //BA.debugLineNum = 917552;BA.debugLine="Button1.Enabled = False";
mostCurrent._button1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917553;
 //BA.debugLineNum = 917553;BA.debugLine="Button2.Visible = False";
mostCurrent._button2.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917554;
 //BA.debugLineNum = 917554;BA.debugLine="Button2.Enabled = False";
mostCurrent._button2.setEnabled(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917555;
 //BA.debugLineNum = 917555;BA.debugLine="Button1.SendToBack";
mostCurrent._button1.SendToBack();
RDebugUtils.currentLine=917556;
 //BA.debugLineNum = 917556;BA.debugLine="Button2.SendToBack";
mostCurrent._button2.SendToBack();
RDebugUtils.currentLine=917558;
 //BA.debugLineNum = 917558;BA.debugLine="WebView.Enabled = True";
mostCurrent._webview.setEnabled(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=917559;
 //BA.debugLineNum = 917559;BA.debugLine="WebView.Visible = True";
mostCurrent._webview.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=917560;
 //BA.debugLineNum = 917560;BA.debugLine="WebView.BringToFront";
mostCurrent._webview.BringToFront();
RDebugUtils.currentLine=917561;
 //BA.debugLineNum = 917561;BA.debugLine="End Sub";
return "";
}
}